com.fasterxml.jackson.databind.util

## Class Comparators

- java.lang.Object
- - com.fasterxml.jackson.databind.util.Comparators

    public class Comparators
    extends Object

Helper class for constructing objects for comparing content values

### Constructor Summary

Constructors
Constructor and Description
`Comparators()`

### Method Summary

Methods
`static Object` `getArrayComparator(Object defaultValue)` Helper method used for constructing simple value comparator used for comparing arrays for content equality.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Comparators

    public Comparators()

### Method Detail

#### getArrayComparator

    public static Object getArrayComparator(Object defaultValue)

Helper method used for constructing simple value comparator used for comparing arrays for content equality.

Note: current implementation is not optimized for speed; if performance ever becomes an issue, it is possible to construct much more efficient typed instances (one for Object[] and sub-types; one per primitive type).